> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses usersinvite



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/users/invite
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/users/invite:
    post:
      tags:
        - BusinessUsers
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/BusinessUsersBusinessMembershipEmailInviteRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/BusinessUsersBusinessMembershipEmailInviteRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/BusinessUsersBusinessMembershipEmailInviteRequest
      responses:
        '402':
          description: Payment Required
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BusinessUsersBusinessMembershipEmailInviteRequest:
      type: object
      properties:
        email:
          type: string
          nullable: true
        role:
          $ref: '#/components/schemas/ModelsBusinessUsersSBBusinessMembershipRole'
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsBusinessUsersSBBusinessMembershipRole:
      enum:
        - ADMINISTRATOR
        - FINANCE_MANAGER
        - ACCOUNTANT
        - MANAGER
        - EMPLOYEE
        - AUDITOR
        - APPROVER
        - MEMBER
        - FINANCE_TEAM
      type: string

````